png++ 0.2.10

Public Member Functions | List of all members
png::image_info_ref_holder Class Reference

An image_info holder class. Stores a reference to the image_info object. The image_info object itself should be stored elsewhere. More...

`#include <streaming_base.hpp>`

## Public Member Functions
| image_info_ref_holder (image_info &info)
image_info & | get_info ()

## Detailed Description

An image_info holder class. Stores a reference to the image_info object. The image_info object itself should be stored elsewhere.

## Constructor & Destructor Documentation

## ◆ image_info_ref_holder()

png::image_info_ref_holder::image_info_ref_holder | ( | image_info & | info | ) |
| inline

## Member Function Documentation

## ◆ get_info()

image_info & png::image_info_ref_holder::get_info | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- streaming_base.hpp